package com.cometway.jerminal.commands;

import java.util.*;
import java.io.*;

import com.cometway.jerminal.*;

/**
 *	Copyright (c) 2000-2001, Comet Way, Inc.
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, 
 * with or without modification, are permitted provided 
 * that the following conditions are met:
 * 
 *   - Redistributions of source code must retain the 
 *     above copyright notice, this list of conditions 
 *     and the following disclaimer. 
 *   - Redistributions in binary form must reproduce the 
 *     above copyright notice, this list of conditions 
 *     and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.
 *   - Neither the name of Comet Way, Inc. nor the names of 
 *     its contributors may be used to endorse or promote 
 *     products derived from this software without specific 
 *     priorwritten permission. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIEDWARRANTIES OF MERCHANTABILITY AND FITNESS 
 *  FOR A PARTICULAR PURPOSE ARE DISCLAIMED.IN NO EVENT SHALL THE 
 *  REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 *  USE, DATA, OR PROFITS; ORBUSINESS INTERRUPTION) HOWEVER CAUSED AND 
 *  ON ANY THEORY OF LIABILITY, WHETHER INCONTRACT, STRICT LIABILITY, 
 *  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 *  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
 *  SUCH DAMAGE. 
 *
 * Revision history:
 */

/**
 * Outputs the contents of a file or files<p>
 * Synopsis:<br>
 * cat [files]<p>
 */
public class cat extends UnixFileCommand
{
	public cat(JerminalSession j) throws UnauthorizedAccessException
	{
		super(j);
		commandString = "cat";
		helpString = "Outputs the contents of a file or files\n\nSynopsis:\n  cat [files]\n";
	}

	protected String catFile(File f)
	{
		StringBuffer rval = new StringBuffer();
		FileInputStream in = null;
		try {
			in = new FileInputStream(f);
			byte[] buffer = new byte[1024];
			int bytesRead = in.read(buffer);
			while(bytesRead>0) {
				rval.append(new String(buffer,0,bytesRead));
				bytesRead = in.read(buffer);
			}
		}
		catch(Exception e) {
			error("Could not read from file: "+f,e);
		}
		try {
			in.close();
		}
		catch(Exception e) {;}
		return(rval.toString());
	}

	public Object evaluate(Vector operands)
	{
		String rval = "";
      if(help(operands)) {
			return(helpString+"\n");
		}
		
		try {
			if(operands.size()>1) {
				for(int x=0;x<operands.size();x++) {
					File f = resolve((String)operands.elementAt(x));
					rval = rval+"\n"+f+"\n"+catFile(f);
				}
			}
			else {
				rval = catFile(resolve((String)operands.elementAt(0)));
			}
		}
		catch(Exception e) {
			error("Error when catting files",e);
		}
		return(rval);
	}
					

}
